com.independentsoft.exchange

## Class OAuthToken

- java.lang.Object
- - com.independentsoft.exchange.OAuthToken

-     public class OAuthToken
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthToken(java.lang.String accessToken)`
    `OAuthToken(java.lang.String accessToken, java.lang.String refreshToken)`
    `OAuthToken(java.lang.String accessToken, java.lang.String refreshToken, java.util.Date expiresOn)`
    `OAuthToken(java.lang.String accessToken, java.lang.String refreshToken, java.lang.String idToken)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccessToken()`
    `int` | `getExpiresIn()`
    `java.util.Date` | `getExpiresOn()`
    `java.lang.String` | `getIdToken()`
    `java.lang.String` | `getRefreshToken()`
    `java.util.List<java.lang.String>` | `getScope()`
    `java.lang.String` | `getType()`
    `void` | `setAccessToken(java.lang.String accessToken)`
    `void` | `setExpiresOn(java.util.Date expiresOn)`
    `void` | `setIdToken(java.lang.String idToken)`
    `void` | `setRefreshToken(java.lang.String refreshToken)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthToken

          public OAuthToken(java.lang.String accessToken)

    - #### OAuthToken

          public OAuthToken(java.lang.String accessToken,
                            java.lang.String refreshToken)

    - #### OAuthToken

          public OAuthToken(java.lang.String accessToken,
                            java.lang.String refreshToken,
                            java.util.Date expiresOn)

    - #### OAuthToken

          public OAuthToken(java.lang.String accessToken,
                            java.lang.String refreshToken,
                            java.lang.String idToken)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

    - #### getExpiresIn

          public int getExpiresIn()

    - #### getScope

          public java.util.List<java.lang.String> getScope()

    - #### getExpiresOn

          public java.util.Date getExpiresOn()

    - #### setExpiresOn

          public void setExpiresOn(java.util.Date expiresOn)

    - #### getAccessToken

          public java.lang.String getAccessToken()

    - #### setAccessToken

          public void setAccessToken(java.lang.String accessToken)

    - #### getIdToken

          public java.lang.String getIdToken()

    - #### setIdToken

          public void setIdToken(java.lang.String idToken)

    - #### getRefreshToken

          public java.lang.String getRefreshToken()

    - #### setRefreshToken

          public void setRefreshToken(java.lang.String refreshToken)